Bug 19606 - cc1plus seg fault, .ii file included
Summary: cc1plus seg fault, .ii file included
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-23 15:09 UTC by Matt Wilson
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-24 11:12:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.ii file for segfault (258.65 KB, text/plain)
2000-10-23 15:13 UTC, Matt Wilson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:132 normal SHIPPED_LIVE Bug fixing update of GCC 2.96 2000-12-19 05:00:00 UTC

Description Matt Wilson 2000-10-23 15:09:42 UTC
cc1plus seg fault, .ii file included:

[msw@localhost ~/ice]$ g++ -o /tmp/foo -c commandenvironment.ii 
/usr/src/oo/oo_605_src/ucbhelper/source/client/commandenvironment.cxx:155:
no `void 
ucb::CommandEnvironment::acquire ()' member function declared in class
`ucb::CommandEnvironment'
/usr/src/oo/oo_605_src/ucbhelper/source/client/commandenvironment.cxx:155:
Internal error: Segmentation 
fault.
Please submit a full bug report.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.

Comment 1 Matt Wilson 2000-10-23 15:13:44 UTC
Created attachment 4558 [details]
.ii file for segfault

Comment 2 Matt Wilson 2000-10-23 15:16:21 UTC
bash-2.04$ gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.0)
bash-2.04$ rpm -q gcc
gcc-2.96-57
bash-2.04$ rpm -q gcc-c++
gcc-c++-2.96-57


Comment 3 Jakub Jelinek 2000-12-20 11:56:22 UTC
Fixed in gcc-c++-2.96-69


Note You need to log in before you can comment on or make changes to this bug.